:root {
    --bs-menu-background: #29ab06;
    --bs-menu-color: #fff;
    --bs-default: #29ab06;
    --bs-dark: #29ab06;
    --bs-light: #baf6aa;
    --bs-navbar-color: #00415f;
    --bs-nav-link-color: #00415f;
    --bs-nav-link-hover-color: #00415f;
    --bs-navbar-active-color: #f7f3ef;
    --bs-secondary: #6c757d;
    --bs-secondary-color: #6c757d;
    --bs-primary: #000;
    --bs-btn-color: #000;
    --bs-btn-border-color: #000;
    --bs-btn-hover-color: #000;
    --bs-btn-hover-border-color: #000;
    --bs-promotion: gold;
    --bs-primary-rgb: 10, 26, 41;
    --bs-nav-pills-link-active-bg: #000;
    --bs-bg-feature-item-background: #29ab06;
    --bs-navbar-toggler-border-color: none;
}

.btn-success {
    --bs-btn-bg: #1C9100;
    color: #fff !important;
    --bs-btn-border-color: #1C9100;
    --bs-btn-hover-bg: #005F12;
    --bs-btn-hover-border-color: #005F12;
}

.btn-primary {
    --bs-btn-bg: #005F12;
    color: #fff !important;
    --bs-btn-border-color: #005F12;
    --bs-btn-hover-bg: #1C9100;
    --bs-btn-hover-border-color: #1C9100;
}

#search-submit {
    border-color: var(--bs-dark) !important;
    background-color: var(--bs-dark) !important;
}

a.btn-info {
    color: var(--bs-dark);
}

.btn-banner {
    background: rgba(255, 255, 255, 0.2);
    ;
    font-weight: 400;
}

a.btn-banner {
    color: var(--bs-btn-border-color);
}

a.btn-banner:hover {
    color: var(--bs-dark);
}

#blog-logo img {
    filter: contrast(500%) grayscale(1) invert(1);
}

.logo-top {
    background-color: #fff;
    box-shadow: none;
}

/* Adam's CSS start */
:root {
    --primary-color: rgba(28, 145, 0, 1);
    --secondary-color: rgba(0, 95, 18, 1);
}

/* before-nav-text fix */
#before-nav-text {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background-color: var(--secondary-color);
    color: white;
    padding: 0;
    box-shadow: none;
    margin-bottom: 0;
}

@media (max-width: 991px) {
    #before-nav-text {
        display: none;
    }
}

#before-nav-text div {
    width: auto;
    padding: 0;
}

#before-nav-text a {
    white-space: nowrap;
    color: white;
    display: inline-block;
    padding: 0.6em 1em;
    transition: background-color 250ms;
}

#before-nav-text a:hover {
    color: white;
    background-color: var(--primary-color);
}

#before-nav-text a.text-danger {
    background-color: rgb(var(--bs-danger-rgb));
    color: white !important;
    font-weight: bold;
}

#before-nav-text div:first-child {
    margin-left: 1em;
}

#before-nav-text div:nth-child(2) {
    margin-left: 1em;
}

#before-nav-text div:nth-child(3) {
    background-color: var(--primary-color);
    padding: 0.6em 1em;
}

#before-nav-text div:nth-child(3),
#before-nav-text div:nth-child(5) {
    margin-left: auto;
}

/* navbar search fix */
.navbar.search #search-submit {
    border: none;
}

.navbar.search #search-submit:hover,
.navbar.search #search-submit:focus {
    color: white;
    background-color: var(--secondary-color) !important;
    outline: none;
}

.navbar.search #search-selector {
    border-top-left-radius: 0.375rem;
    border-bottom-left-radius: 0.375rem;
    font-size: 0.9em;
}

.navbar.search #search-value {
    font-size: 0.9em;
    font-weight: 300;
}

.navbar.search #search-value:focus {
    border-color: var(--primary-color) !important;
}

/* navbar buttons fix */

.nav-buttons {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    gap: 5px;
}

.nav-buttons .nav-item {
    width: auto;
    font-size: 0.7em;
    text-transform: uppercase;
}

.nav-buttons .nav-item>a:hover {
    color: var(--primary-color) !important;
}

.nav-buttons .nav-item a i.menu-icon:before {
    --_fa-family: var(--fa-family, var(--fa-style-family, "Font Awesome 7 Free"));
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    display: var(--fa-display, inline-block);
    font-family: var(--_fa-family);
    font-feature-settings: normal;
    font-style: normal;
    font-synthesis: none;
    font-variant: normal;
    font-weight: var(--fa-style, 900);
    line-height: 1;
    text-align: center;
    text-rendering: auto;
}

.nav-buttons .nav-item a i.menu-icon.mdi-account:before {
    content: "\f007";
}

.nav-buttons .nav-item a i.menu-icon.mdi-wallet-giftcard:before {
    content: "\f005";
}

.nav-buttons .nav-item a i.menu-icon.mdi-cart:before {
    content: "\f07a";
}

.nav-buttons .nav-item a i.menu-icon.mdi-menu:before {
    content: "\f0c9";
}

.nav-buttons .nav-item .dropdown-menu {
    margin-top: 0px !important;
}

.nav-buttons .mdi {
    font-size: 2em;
}

.nav-buttons .nav-item p {
    margin: 0;
}

.nav-buttons .nav-item .dropdown-menu {
    padding: 0;
}

.nav-buttons .nav-item .dropdown-menu li.dropdown-item {
    padding: 0;
}

.nav-buttons .nav-item .dropdown-menu li.dropdown-item a {
    margin: 0;
}

/* navbar fix */
.nav-background {
    padding: 5px 0;
}

/* navbar logo fix */
#logos-nav img {
    height: 80px;
    width: auto;
}

/* button nationality fix */
.btn-nationality {
    font-size: 0.9em;
    padding: 6px 12px;
}

.btn-nationality:hover {
    background-color: var(--secondary-color) !important;
    border-bottom-left-radius: 0 !important;
}

.navbar.navbar-lg-right .btn-nationality[aria-label="wybierz język"] {
    border-top-left-radius: 0.375rem;
    border-bottom-left-radius: 0.375rem;
}

.navbar.navbar-lg-right .nav-item {
    width: auto;
}

.navbar.navbar-lg-right .btn-nationality[aria-label="wybierz walutę"] {
    border-top-right-radius: 0.375rem;
    border-bottom-right-radius: 0.375rem;
}

.navbar.navbar-lg-right .nav-item:nth-child(2) {
    margin-left: -1px;
}

.navbar.navbar-lg-right .dropdown-menu {
    padding: 0;
}

.btn-check:checked+.btn,
.btn.active,
.btn.show,
.btn:first-child:active,
:not(.btn-check)+.btn:active {
    background-color: var(--secondary-color) !important;
    color: white;
}

/* dropdown-menu fix */

.dropdown-menu .dropdown-item {
    transition-duration: 250ms;
}

.dropdown-menu a.dropdown-item:hover {
    background-color: var(--secondary-color) !important;
    color: white;
}

.dropdown-menu .dropdown-item.secound-level.category-title {
    padding: 0.5rem 0;
}

/* navbar fix */

#logos-nav {
    align-items: center;
}

.navbar .nav-item .dropdown-menu {
    top: 100%;
    transition: 0.2s;
}

@media (min-width: 992px) {
    nav.navbar {
        padding: 0 !important;
        height: 60px;
    }

    nav.navbar .navbar-nav {
        height: 60px;
        align-items: center;
    }
}

nav.navbar .navbar-nav .nav-item,
nav.navbar .navbar-nav .nav-link {
    height: 100%;
    display: flex;
    align-items: center;
}

nav.navbar .navbar-nav .nav-link {
    margin-right: 0;
    padding: 0 20px;
}

nav.navbar .navbar-nav .nav-link:hover {
    background-color: var(--secondary-color) !important;
}

.navbar-default-menu {
    padding: 0;
}

nav.navbar .navbar-nav .secound-level.category-title:hover {
    background-color: transparent !important;
    color: var(--primary-color);
}

nav.navbar .navbar-nav .nav-item .dropdown-menu {
    left: 0;
}

.container a {
    color: var(--primary-color);
}

.container a:hover {
    color: var(--secondary-color);
}

@media (max-width: 991px) {
    #logos-nav img {
        height: 60px;
        width: auto;
    }

    .nav-buttons .nav-item:first-child {
        margin-right: auto;
    }

    .nav-buttons .nav-item a:hover {
        color: #fff !important;
    }

    .navbar-toggler {
        border: none;
        padding: 0;
    }

    .navbar {
        height: auto;
    }

    .navbar .navbar-nav {
        background: none;
    }

    nav.navbar .navbar-nav .nav-link {
        padding: 5px 0 !important;
    }

    nav.navbar .navbar-nav .nav-link:hover {
        background: none !important
    }

    nav.navbar .navbar-nav .nav-item {
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
    }

    nav.navbar .navbar-nav .nav-item .dropdown-menu {
        padding: 0;
    }

    .nav-buttons .mdi {
        font-size: 1.5em;
        display: inline-block;
        margin-bottom: 5px;
    }
}

.product-list .product-item {
    padding: 0 !important;
}

.product-list .product-item .row.product-item-row {
    margin: 0;
}

.product-list .product-item .row.product-item-row .product-linked {
    padding: 1.5rem;

}

/* Adam's CSS end */